Package org.eclipse.m2m.atl.adt.debug.ui

## Class AtlBreakpointAdapterFactory

- java.lang.Object
- - org.eclipse.m2m.atl.adt.debug.ui.AtlBreakpointAdapterFactory

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdapterFactory`

    public class AtlBreakpointAdapterFactory
    extends java.lang.Object
    implements org.eclipse.core.runtime.IAdapterFactory

Creates a toggle breakpoint adapter factory. This factory is used to create a new ATL breakpoint.

### Field Summary

### Fields inherited from interface org.eclipse.core.runtime.IAdapterFactory

`SERVICE_PROPERTY_ADAPTABLE_CLASS, SERVICE_PROPERTY_ADAPTER_NAMES`

### Constructor Summary

Constructors
`AtlBreakpointAdapterFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> T` `getAdapter​(java.lang.Object adaptableObject, java.lang.Class<T> adapterType)`
`java.lang.Class<?>[]` `getAdapterList()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AtlBreakpointAdapterFactory

    public AtlBreakpointAdapterFactory()

### Method Detail

#### getAdapter

    public <T> T getAdapter​(java.lang.Object adaptableObject,
                            java.lang.Class<T> adapterType)

Specified by:
  `getAdapter` in interface `org.eclipse.core.runtime.IAdapterFactory`
See Also:
  `IAdapterFactory.getAdapter(java.lang.Object, java.lang.Class)`

#### getAdapterList

    public java.lang.Class<?>[] getAdapterList()

Specified by:
  `getAdapterList` in interface `org.eclipse.core.runtime.IAdapterFactory`
See Also:
  `IAdapterFactory.getAdapterList()`